__gnu_pbds::hash_prime_size_policy(3cxx)

NAME
__gnu_pbds::hash_prime_size_policy - A size policy whose sequence of sizes form a nearly-exponential sequence of primes.

SYNOPSIS

#include <hash_policy.hpp>

  Public Types

typedef std::size_t size_type
Size type.

  Public Member Functions

hash_prime_size_policy (size_type start_size=8)
Default constructor, or onstructor taking a start_size The policy will use the sequence of sizes approximately start_size, start_size* 2, start_size* 2^2, ...
void swap (hash_prime_size_policy &other)

  Protected Member Functions

size_type get_nearest_larger_size (size_type size) const
size_type get_nearest_smaller_size (size_type size) const

Detailed Description

A size policy whose sequence of sizes form a nearly-exponential sequence of primes.

Member Typedef Documentation

  typedef std::size_t __gnu_pbds::hash_prime_size_policy::size_type

Size type.

Constructor & Destructor Documentation

  __gnu_pbds::hash_prime_size_policy::hash_prime_size_policy (size_type start_size = 8) [inline]

Default constructor, or onstructor taking a start_size The policy will use the sequence of sizes approximately start_size, start_size* 2, start_size* 2^2, ...

Author

Generated automatically by Doxygen for libstdc++ from the source code.